Skip to main content
GET
/
v1.0
/
numbers
/
inventory
cURL
curl -X GET 'https://api.telegent.com/v1.0/numbers/inventory?PageNumber=1' \
  -H 'Authorization: Bearer YOUR_TOKEN'
import requests

url = "https://api.telegent.com/v1.0/numbers/inventory"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.telegent.com/v1.0/numbers/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx",
  "TotalResults": 346,
  "PageNumber": 1,
  "Filter": "Active",
  "PhoneNumbers": [
    {
      "Number": "+18015555555",
      "Tnid": "TNID-9772956561858",
      "OrderId": "TNOID-ddbaad7c-38c8-4cb4-bf0d-87ed9064f021",
      "NumberType": "mobile",
      "MessageEnabled": true,
      "MessageType": "p2p",
      "Classification": "MVNO",
      "VoiceEnabled": true,
      "MessageRouteId": "MRID-73af1e73-d7b3-4696-bdd9-5b407d9e99ee",
      "VoiceRouteId": "CRID-4dec6beb-3985-444b-8c06-8baa5jjvawe",
      "Status": "Active",
      "OriginalDatePurchased": "02/05/2023",
      "AssignedSubscriberId": "TSUID-d7b3-4696-bdd9-5b407d9e99ee-3985-444b8d",
      "Iccid": "8901240397190556232",
      "Cnam": "ABC Corp",
      "QrActivationLink": "https://api.telegent.com/qr-activation-link",
      "SwapsRemaining": 1,
      "NextSwapResetDate": "2025-12-04T22:09:41.56",
      "ProductType": "Sms+Data+Voice",
      "PortOutPin": "1234"
    },
    {
      "Number": "+18015555556",
      "Tnid": "TNID-8772956561858",
      "OrderId": "TNOID-ddbaad7c-38c8-4cb4-bf0d-87ed9064f021",
      "NumberType": "mobile",
      "MessageEnabled": "true",
      "MessageType": "a2p",
      "Classification": "MVNO",
      "VoiceEnabled": "true",
      "MessageRouteId": "MRID-73af1e73-d7b3-4696-bdd9-5b407d9e99ee",
      "VoiceRouteId": "CRID-4dec6beb-3985-444b-8c06-8baa5jjvawe",
      "Status": "Active",
      "OriginalDatePurchased": "02/05/2023",
      "AssignedSubscriberId": "SID-d7b3-4696-bdd9-5b407d9e99ee-3985-444b7d",
      "Iccid": "8901240397190555232",
      "Cnam": "ABC Corp",
      "QrActivationLink": "https://api.telegent.com/qr-activation-link",
      "SwapsRemaining": 2,
      "NextSwapResetDate": "2025-12-04T22:09:41.56",
      "ProductType": "Sms+Data",
      "PortOutPin": "5678"
    }
  ]
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}

Query Parameters

PageNumber
string

Page number for paginated results (starts at 1)

Filter
string

Filter string

TotalNumbersRequested
integer<int32>

TotalNumbersRequested int

Response

Numbers Inventory

The response is of type object.